Subject: Re: linux-next: manual merge of the block tree with the file-locks tree

From: Jeff Layton <[email-masked]>
Date: Wed, 28 Jun 2017 05:54:00 -0400

On Tue, 2017-06-27 at 20:01 -0600, Jens Axboe wrote:
> On 06/27/2017 07:57 PM, Stephen Rothwell wrote:
> > Hi Jens,
> > 
> > Today's linux-next merge of the block tree got a conflict in:
> > 
> >   include/linux/fs.h
> > 
> > between commit:
> > 
> >   3f64df8a51ce ("fs: new infrastructure for writeback error handling and reporting")
> > 
> > from the file-locks tree and commit:
> > 
> >   c75b1d9421f8 ("fs: add fcntl() interface for setting/getting write life time hints")
> > 
> > from the block tree.
> 
> Looks like we stole the same hole! Let's just merge it like this, then
> post merge I (or Jeff) can move the member to a better location.
> 

(cc'ing Al since he might pick these up...)

Indeed!

I'll plan to move f_wb_err to the end of the struct.

I have some later patches that add a second 32-bit errseq_t field to
struct file for tracking metadata writeback errors. That would make them
adjacent to one another which at least looks a little cleaner.

Cheers,
-- 
Jeff Layton <[email-masked]>